/**
 * menu_mobile_double
 * @version	1.0
 * @release	01-04-2021
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

#menu_mobile
{
	display: none;
}

/**********************************************************************************/

#menu_mobile_trigger
{
	position: relative;
	width: 20px;
	height: 16px;
	cursor: pointer;
	transition: var(--global_transition);
	z-index: 3;
}

#menu_mobile_trigger:active
{
	transform: scale(0.9, 0.9);
}

#menu_mobile_trigger span
{
	display: block;
	position: absolute;
	height: 2px;
	width: 100%;
	background-color: var(--root_color_white);
	left: 0;
	border-radius: 2px;
	transition: all 0.2s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#menu_mobile_trigger span:nth-of-type(1)
{
	top: 0;
}

#menu_mobile_trigger span:nth-of-type(2)
{
	top: calc(50% - 1px);
}

#menu_mobile_trigger span:nth-of-type(3)
{
	top: calc(50% - 1px);
	opacity: 0;
}

#menu_mobile_trigger span:nth-of-type(4)
{
	top: calc(50% - 1px);
	opacity: 0;
}

#menu_mobile_trigger span:nth-of-type(5)
{
	top: calc(100% - 2px);
}

#menu_mobile_trigger.is_menu_mobile span:nth-of-type(1),
#menu_mobile_trigger.is_menu_mobile span:nth-of-type(2),
#menu_mobile_trigger.is_menu_mobile span:nth-of-type(5)
{
	top: calc(50% - 1px);
	width: 0;
	left: 50%;
	opacity: 0;
}

#menu_mobile_trigger.is_menu_mobile span:nth-of-type(3)
{
	transform: rotate(45deg);
	opacity: 1;
}

#menu_mobile_trigger.is_menu_mobile span:nth-of-type(4)
{
	transform: rotate(-45deg);
	opacity: 1;
}

/**********************************************************************************/

#menu_mobile_contener
{
	background-color: var(--root_color_black);
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	padding-top: calc(var(--global_padding) + var(--global_header_height));
	padding-top: var(--global_header_height);
	padding-right: var(--global_padding);
	padding-bottom: var(--global_padding);
	padding-left: var(--global_padding);
	opacity: 0;
	visibility: hidden;
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
/*	box-shadow: 3px 3px 20px 0 rgba(128, 128, 128, 0.1); */
/*	line-height: 20px; */
/*	min-width: clamp(max-content, calc(480 / var(--global_size_contener_var) * 100vw), 480px); */
/*	border-radius: clamp(20px, calc(46 / var(--global_size_contener_var) * 100vw), 46px); */
/*	z-index: 20000; */ /* potrzebne gdy element jest polozony poza headerem, nad nim */
/*	z-index: 8000; */ /* potrzebne gdy element jest polozony poza headerem, pod nim */
	z-index: 1; /* potrzebne gdy element jest polozony w obrebie headeru */
	z-index: 0; /* potrzebne gdy element jest polozony w obrebie headeru */
}

#menu_mobile.is_menu_mobile #menu_mobile_contener
{
	opacity: 1;
	visibility: visible;
}

/**********************************************************************************/

#menu_mobile_content
{
	font-family: var(--root_font_family);
	font-size: var(--global_font_size_p_small);
	font-weight: 400;
	line-height: 1;
	letter-spacing: normal;
	width: 100%;
	height: 100%;
	max-height: 100%;
/*	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center; */
	overflow-y: auto;
	display: grid;
/*	justify-items: center; */
	align-items: flex-start;
}

#menu_mobile_content ul.menu.double a
{
	color: var(--root_color_white); /* dziedzicza po tym wszystkie a nizszych poziomow */
	display: inline-flex;
	align-items: center;
	font-weight: 400;
}

#menu_mobile_content ul.menu.double
{
	display: block;
	list-style: none;
}

#menu_mobile_content ul.menu.double > li
{
	--min_menu_mobile_double_li_padding_tb: 30;
	--max_menu_mobile_double_li_padding_tb: 30;
	--menu_mobile_double_li_padding_tb:
		clamp(calc(var(--min_menu_mobile_double_li_padding_tb) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_menu_mobile_double_li_padding_tb) - var(--min_menu_mobile_double_li_padding_tb)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_menu_mobile_double_li_padding_tb)) * 1px)
		+ ((var(--max_menu_mobile_double_li_padding_tb) - var(--min_menu_mobile_double_li_padding_tb)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_menu_mobile_double_li_padding_tb) * 1px));
	--min_menu_mobile_double_li_padding_lr: 20;
	--max_menu_mobile_double_li_padding_lr: 20;
	--menu_mobile_double_li_padding_lr:
		clamp(calc(var(--min_menu_mobile_double_li_padding_lr) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_menu_mobile_double_li_padding_lr) - var(--min_menu_mobile_double_li_padding_lr)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_menu_mobile_double_li_padding_lr)) * 1px)
		+ ((var(--max_menu_mobile_double_li_padding_lr) - var(--min_menu_mobile_double_li_padding_lr)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_menu_mobile_double_li_padding_lr) * 1px));
/*	position: relative;
	border-right: transparent; */
	border-bottom: 1px solid var(--root_color_lead);
}

#menu_mobile_content ul.menu.double > li + li
{
	margin-top: 0;
}

/**********************************************************************************/

/* body:not(.home ) #menu_mobile_content ul.menu.double > li.current-menu-ancestor > a
{
	color: var(--root_color_lead_3);
}

body:not(.home ) #menu_mobile_content ul.menu.double > li.current-menu-item > a
{
	color: var(--root_color_lead_3);
} */

/**********************************************************************************/

#menu_mobile_content ul.menu.double > li > a
{
	padding-top: var(--menu_mobile_double_li_padding_tb);
	padding-right: var(--menu_mobile_double_li_padding_lr);
	padding-bottom: var(--menu_mobile_double_li_padding_tb);
	padding-left: var(--menu_mobile_double_li_padding_lr);
	display: flex;
	align-items: center;
	justify-content: space-between;
}

#menu_mobile_content ul.menu.double > li.menu-item-has-children > a::after
{
	font-family: 'msolowski';
	content: '\e908';
	transition: var(--global_transition);
	font-size: 8px;
	font-size: 12px;
	margin-left: var(--global_size_15);
}

/*.menu_header ul.menu.double > li.menu-item-has-children:hover > a::after, */
#menu_mobile_content ul.menu.double > li.menu-item-has-children.is_active > a::after
{
	transform: rotate(180deg);
}

/* .menu_header ul.menu.double > li:hover > a, */
#menu_mobile_content ul.menu.double > li.is_active > a
{
	color: var(--root_color_lead);
}

/**********************************************************************************/ /* 2 poziom */

#menu_mobile_content ul.menu.double > li > ul.sub-menu
{
	font-size: var(--global_font_size_p);
	font-weight: 700;
	max-height: 0;
	opacity: 0;
	overflow: hidden;
	transition: max-height 0.3s cubic-bezier(0.215, 0.61, 0.355, 1), opacity 0.25s cubic-bezier(0.215, 0.61, 0.355, 1) 0.05s;
}

#menu_mobile_content ul.menu.double > li.is_active > ul.sub-menu
{
	opacity: 1;
}

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li
{
	line-height: 1.4;
}

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li:not(:last-child)
{
	border-bottom: 1px solid #bcaffa;
}

/**********************************************************************************/

/* #menu_mobile_content ul.menu.double > li > ul.sub-menu > li.current-menu-item > a
{
	color: var(--root_color_a_hover);
} */

/**********************************************************************************/

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li > a
{
	padding-top: calc(var(--menu_mobile_double_li_padding_tb) - 10px);
	padding-right: var(--menu_mobile_double_li_padding_lr);
	padding-bottom: calc(var(--menu_mobile_double_li_padding_tb) - 10px);
	padding-left: var(--menu_mobile_double_li_padding_lr);
	display: flex;
	align-items: center;
	justify-content: flex-start;
	background-color: var(--root_color_lead);
	font-weight: 700;
}

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li > a .image
{
	width: 60px;
	min-width: 60px;
	margin-right: var(--global_size_20);
	transition: var(--global_transition);
}

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li > a:hover
{
/*	color: var(--root_color_a_hover); */
}

#menu_mobile_content ul.menu.double > li > ul.sub-menu > li > a:active .image
{
	transform: scale(0.9, 0.9);
}

/**********************************************************************************/ /* 3 poziom i kolejne */

#menu_mobile_content ul.menu.double > li > ul.sub-menu li > ul.sub-menu /* zablokowane wyswietlanie nizszych poziomow, aby niepotrzebnie nie generowac kolejnego menu */
{
	display: none
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
}

@media screen and (max-width: 1024px)
{
	#menu_mobile
	{
		display: block;
	}
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}